<?php
/** @noinspection PhpMissingFieldTypeInspection */
declare(strict_types=1);

namespace Inti\Wp\Plugin\Service;

use Inti\Wp\Plugin\PluginInterface;
use Laminas\ServiceManager\AbstractPluginManager;

/**
 * Class PluginManager
 *
 * @package Inti\Wp\Plugin\Service
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-wp-plugin
 *
 * @method PluginInterface get(string $name);
 */
final class PluginManager extends AbstractPluginManager
{
    /** @var string */
    protected $instanceOf = PluginInterface::class;
}
