<?php
declare(strict_types=1);

namespace Inti\Wp\Plugin;

/**
 * Class ConfigProvider
 *
 * @package Inti\Wp\Plugin
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-wp-plugin
 */
final class ConfigProvider
{
    public function __invoke(): array
    {
        return [
            'wp_plugins' => [],

            'dependencies' => [
                'factories' => [
                    Service\PluginManager::class => Container\PluginManagerFactory::class,
                    Service\PluginRunner::class => Container\PluginRunnerFactory::class,
                ],
            ],
        ];
    }
}
